#!/bin/sh

#make gen_sfd

#                        rho [g/cm^3] d1 [km]  d2    d3    d4     qa    qb     qc    qd    qe    dmin    dmax   d_norm  n_norm  boulder_mfactor
./boulder/main/gen_sfd5  3.0          100.     15.   3.6   0.1    -4.55 -2.5  -3.6  -2.6  -3.7  0.000500 4000.  100.    230.    1.5  > sfd1.dat	# MB-like, less populous to get fit @ t = 0.3 Gyr, adjusted scaling law, steeper due to scaling law
./boulder/main/gen_sfd5  3.0          100.     15.   3.6   0.1    -4.55 -2.5  -3.6  -2.6  -3.7  0.000500 4000.  100.    0.      1.5  > sfd2.dat	# initial NEA
#./boulder/main/gen_sfd5  1.7          5.0      1.0   0.5   0.1    -3.71 -3.71 -3.71 -3.71 -3.71  0.000500 4000.  5.0    100.   1.5  > sfd3.dat	# initial Chloris
./boulder/main/gen_sfd5  1.7          5.0      1.0   0.5   0.1    -3.91 -3.91 -3.91 -3.91 -3.91  0.000500 4000.  5.0    150.   1.5  > sfd3.dat	# initial Chloris

./realsfd.awk      < sfd1.dat > sfd1.dat_EDITED
./realnea.awk      < sfd2.dat > sfd2.dat_EDITED
./realchloris.awk  < sfd3.dat > sfd3.dat_EDITED

# HERINAFTER, USE PREVIOUS SIMULATION FOR MB, NEA! CF. 003 INSTEAD 001
awk '($2==1)' ../../61_0_MB_none_2500/001/tmp/0050.000.out | ./hd.awk > sfd1.dat_EDITED
awk '($2==2)' ../../61_0_MB_none_2500/001/tmp/0050.000.out | ./hd.awk > sfd2.dat_EDITED

# HEREINAFTER, USE ZERO FOR VERITAS!!
#./boulder/main/gen_sfd5  3.0          3.0      1.0   0.5   0.1    -3.68 -3.68 -3.68 -3.68 -3.68 0.000500 4000.  3.0     0.      1.5  > sfd3.dat	# initial Veritas
#cp sfd3.dat sfd3.dat_EDITED

./mtot.awk sfd*.dat_EDITED

./boulder/main/gen_ic < gen_ic.in
./gen_sfd.plt

exit




